# Deprecated API

## Contents

- Fields
- Methods

Deprecated Fields
Field
Description
org.eclipse.graphiti.mm.pictograms.impl.DiagramImpl.SHOW_GUIDES_EDEFAULT
This attribute simply exists because of compatibility (after removing it old diagrams would not be readable any more). It is never evaluated, instead the Graphiti framework queries the tool behaviour provider if guides shall be shown in a diagram editor.
org.eclipse.graphiti.mm.pictograms.impl.DiagramImpl.showGuides
This attribute simply exists because of compatibility (after removing it old diagrams would not be readable any more). It is never evaluated, instead the Graphiti framework queries the tool behaviour provider if guides shall be shown in a diagram editor.

Deprecated Methods
Method
Description
org.eclipse.graphiti.mm.algorithms.AbstractText.getAngle()
This attribute exists because of compatibility (after removing old diagrams would not be readable any more). It is replaced by the new attribute rotation.
org.eclipse.graphiti.mm.algorithms.AbstractText.setAngle(Integer)
This attribute exists because of compatibility (after removing old diagrams would not be readable any more). It is replaced by the new attribute rotation.
org.eclipse.graphiti.mm.algorithms.impl.AlgorithmsFactoryImpl.getPackage()
org.eclipse.graphiti.mm.algorithms.styles.impl.StylesFactoryImpl.getPackage()
org.eclipse.graphiti.mm.algorithms.styles.Style.getAngle()
This attribute exists because of compatibility (after removing old diagrams would not be readable any more). It is replaced by the new attribute rotation.
org.eclipse.graphiti.mm.algorithms.styles.Style.setAngle(Integer)
This attribute exists because of compatibility (after removing old diagrams would not be readable any more). It is replaced by the new attribute rotation.
org.eclipse.graphiti.mm.impl.MmFactoryImpl.getPackage()
org.eclipse.graphiti.mm.pictograms.impl.PictogramsFactoryImpl.getPackage()
org.eclipse.graphiti.pattern.id.IdPattern.findById(PictogramElement, String)
Use {@link IdPatternHelper.findById(pictogramElement, idToFind)} instead.
org.eclipse.graphiti.pattern.id.IdPattern.getId(PropertyContainer)
Use {@link IdPatternHelper.getId(container)} instead.
org.eclipse.graphiti.pattern.id.IdPattern.setId(PropertyContainer, String)
Use {@link IdPatternHelper.setId(container, id)} instead.
org.eclipse.graphiti.tb.DefaultToolBehaviorProvider.getDiagramScrollingBehavior()
Scroll bar based infinite canvas is a workaround for Bug 195527 and can be harmed by GEF modifications. It will be removed then
org.eclipse.graphiti.tb.IToolBehaviorProvider.getDiagramScrollingBehavior()
Scroll bar based infinite canvas is a workaround for GEF limitations.
org.eclipse.graphiti.ui.editor.GraphicalComposite.commandStackChanged(EventObject)
Replaced by `GraphicalComposite.stackChanged(CommandStackEvent)` because the class `CommandStackListener` is deprecated by GEF